This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1280033 - GDM doesn't display login screen if multiple users share numeric UID
GDM doesn't display login screen if multiple users share numeric UID
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
23
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 14:22 EST by John F Sullivan
Modified: 2016-12-20 10:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:38:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John F Sullivan 2015-11-10 14:22:56 EST
Description of problem:
When two users share UID 1001, the next system boot will hang waiting for the Plymouht boot screen to quit, and the GDM login screen will never appear.  The fix for this issue is to remove one of the duplicate users.

Version-Release number of selected component (if applicable):
gdm-3.18.0-1.fc23.x86_64

How reproducible:
Happens every time.

Steps to Reproduce:
1. Configure two users with UID 1001
2. Reboot system
3. Watch the GDM login screen not appear

Actual results:
GDM login screen doesn't appear, systemd hangs forever waiting for the Plymouth boot screen to quit.

Expected results:
Plymouth boot screen should quit and GDM should appear with valid login options.

Additional info:
Found this issue when attempting to apply a Puppet manifest to a laptop with a fresh installation of Fedora 23.  The Puppet manifest was tested using a Fedora 23 Vagrant box.  The manifest configures a user as UID 1001, but has to allow duplicates in order to prevent subsequent Vagrant/Puppet configuration from failing due to the 'vagrant' user with UID 1001 being removed or otherwise modified.  The manifest configures the 'vagrant' user to be part of the 'ssh' group so 'vagrant ssh' correctly functions.

My fix was to not configure the 'vagrant' user on the laptop, thereby not creating the second user with UID 1001.  This user was mistakenly being created anyway; it's useful only in the test environment.

I don't know how big of a problem this issue really is, but I thought it important enough to document so others can hopefully not spend as much time as I did trying to figure out what was going on.
Comment 1 Fedora End Of Life 2016-11-24 08:16:45 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 10:38:51 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.